Summary: K-3D open-source 3D modeling, animation, and rendering system.
Name: k3d
Version: 0.2.5.4
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://belnet.dl.sourceforge.net/sourceforge/k3d/k3d-0.2.5.4-src.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot

AutoReqProv: no
requires: XFree86-libs >= 4.2.0, gtk+ >= 1.2.10, glib >= 1.2.10, glibc >= 2.2.5, libstdc++ >= 2.96, libGLU.so.1, libGL.so.1, libsigc++ >= 1.2

%description
K-3D is a 3D modeling, animation, and rendering system for GNU/Linux &
Win32. Features include creation and editing of geometry in multiple
realtime OpenGL solid, shaded, and texture-mapped views; unlimited
undos and redos; complete extensibility at runtime through third-party
plugins; animated procedural geometric effects; all parameters
animatable through a consistent control-spline based interface;
rendering pipeline to Renderman Interface compliant rendering engines;
optimization for use with the BMRT rendering engine, which features
raytracing, radiosity rendering, true displacement, and user
programmable shaders; and support for background and batch rendering.

%prep
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT/usr/k3d --enable-kde-menu=/usr/share/applnk --with-sigc-1-2
make

%install
make install-strip
mkdir -p $RPM_BUILD_ROOT/usr/bin
echo '#!/bin/sh' > $RPM_BUILD_ROOT/usr/bin/k3d
echo 'export LD_LIBRARY_PATH=/usr/k3d/lib:$LD_LIBRARY_PATH' >> $RPM_BUILD_ROOT/usr/bin/k3d
echo 'export PATH=/usr/k3d/bin:$PATH' >> $RPM_BUILD_ROOT/usr/bin/k3d
echo '/usr/k3d/bin/k3d --basepath /usr/k3d $*' >> $RPM_BUILD_ROOT/usr/bin/k3d
chmod 755 $RPM_BUILD_ROOT/usr/bin/k3d
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
cp $RPM_BUILD_ROOT/usr/k3d/man/man1/k3d.1 $RPM_BUILD_ROOT/usr/man/man1/k3d.1

%clean
make clean

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS

/usr/k3d/bin/gpp
/usr/k3d/bin/gtkmlinternationalize
/usr/k3d/bin/gtkmltranslate
/usr/k3d/bin/gtkmlview
/usr/k3d/bin/k3d
/usr/k3d/bin/renderframe
/usr/k3d/bin/renderjob
/usr/k3d/bin/sl2xml
/usr/k3d/dialogtemplates
/usr/k3d/lib
/usr/man/man1/k3d.1.gz
/usr/k3d/scripts
/usr/k3d/shaders
/usr/k3d/share/icons
/usr/k3d/share/doc/k3d/user_reference
/usr/k3d/share/projects
/usr/k3d/share/netpbm.conf
/usr/k3d/share/outputformats.conf
/usr/k3d/tutorials
/usr/bin/k3d

%changelog
* Fri Mar 28 2003 Fred Labrosse <ffl@aber.ac.uk>
- RPM package of k3d-0.2.5.4
